Loading...
Searching...
No Matches
gtsam::RedirectCout Struct Reference

## Detailed Description

For Python str().

Redirect std cout to a string stream so we can return a string representation of an object when it prints to cout. https://stackoverflow.com/questions/5419356/redirect-stdout-stderr-to-a-string

## Public Member Functions

| RedirectCout ()
| constructor – redirect stdout buffer to a stringstream buffer
std::string | str () const
| return the string
| ~RedirectCout ()
| destructor – redirect stdout buffer to its original buffer

The documentation for this struct was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/utilities.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/utilities.cpp